import React from "react";
import { render } from "react-dom";
import { HashRouter as Router, Route } from "react-router-dom";
import { Provider } from "react-redux";
import composeReducer from "./compose-reducers";
import config from 'app-config';

//import from local file
import PageProxy from "./page-proxy";
import configureStore from "./configure-store";

import reducer from "reducers";

var store = configureStore(reducer);
var mountTarget = config.el || 'bsMain';

if (typeof mountTarget === 'string') {
    mountTarget = document.getElementById(mountTarget);
}

var bootstrap = function bootstrap(node) {
    render(React.createElement(
        Provider,
        { store: store },
        React.createElement(
            Router,
            null,
            React.createElement(Route, { path: "*", component: PageProxy })
        )
    ), node);
};

bootstrap(mountTarget);

if (module.hot) {
    module.hot.accept("./page-proxy", function () {
        bootstrap(mountTarget);
    });

    module.hot.accept("reducers", function () {
        var reducer = require("reducers").default;
        store.replaceReducer(composeReducer(reducer));
    });
}